# Uses of Enum Class
org.bukkit.BanList.Type

Packages that use BanList.Type
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of BanList.Type in org.bukkit

Methods in org.bukkit that return BanList.Type
Modifier and Type
Method
Description
`static BanList.Type`
BanList.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BanList.Type[]`
BanList.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type BanList.Type
Modifier and Type
Method
Description
`static @NotNull BanList`
Bukkit.`getBanList(BanList.Type type)`
Gets a ban list for the supplied type.
`@NotNull BanList`
Server.`getBanList(BanList.Type type)`
Gets a ban list for the supplied type.